Downloads

Requires Windows 7, 8, 8.1, 10
Current Version – 3.0.0.1

Requires Mac OS X 10.14 and above
Video playback requires QuickTime 7.6.6 or later
Current version – FireflyPro Version 2.0.9

Note: The software requires OS X 10.14 or later running on Intel. Power PC based systems are not supported. For users running a Mac OS X older than 10.14 please contact: support@fireflyglobal.com

Requires Windows 7, 8, 8.1, 10
Current Version – 1.96